linux-ti-omap4: 2.6.35-903.29 -proposed tracker

Bug #911245 reported by Brad Figg on 2012-01-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 03. January 2012 14:01 UTC
kernel-stable-Certification-testing-end:Tuesday, 03. January 2012 14:16 UTC
kernel-stable-Prepare-package-end:Thursday, 05. January 2012 03:46 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 05. January 2012 03:46 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 05. January 2012 07:32 UTC
kernel-stable-Verification-testing-start:Thursday, 05. January 2012 07:32 UTC
kernel-stable-Regression-testing-end:Friday, 06. January 2012 01:45 UTC
kernel-stable-Security-signoff-start:Tuesday, 10. January 2012 15:16 UTC
kernel-stable-Verification-testing-end:Tuesday, 10. January 2012 15:16 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 11. January 2012 00:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 11. January 2012 00:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 11. January 2012 09:01 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 11. January 2012 09:01 UTC

This tracking bug was opened to be worked from linux-2.6.35-32.64 update (bug 910919)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: maverick
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-01-03
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-maverick.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 2.6.35-903.29 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2012-01-05
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-01-05
description: updated
Tobin Davis (gruemaster) on 2012-01-06
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-01-06
description: updated
Herton R. Krzesinski (herton) wrote :

Only CVE fixes on this update, verification done.

Brad Figg (brad-figg) on 2012-01-10
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-01-11
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.35-903.29

---------------
linux-ti-omap4 (2.6.35-903.29) maverick-proposed; urgency=low

  * Release Tracking Bug
    - LP: #911245

  [ Upstream Kernel Changes ]

  * Revert "core: Fix memory leak/corruption on VLAN GRO_DROP,
    CVE-2011-1576"
  * use cache type functions for arch_get_unmapped_area
  * topdown mmap support
  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369
    - CVE-2011-4110
  * gro: reset vlan_tci on reuse
    - LP: #844361
    - CVE-2011-1576
  * b43: allocate receive buffers big enough for max frame len + offset
    - LP: #905060
    - CVE-2011-3359
  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
 -- Paolo Pisati <email address hidden> Wed, 04 Jan 2012 13:09:43 +0100

Changed in linux-ti-omap4 (Ubuntu Maverick):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers